ApiYarnTenantUtilization (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiYarnTenantUtilization

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiYarnTenantUtilization

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiYarnTenantUtilization
      extends Object

  Utilization report information of a tenant of Yarn application.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiYarnTenantUtilization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiYarnTenantUtilization` | `avgYarnContainerWaitRatio(BigDecimal avgYarnContainerWaitRatio)`
    `ApiYarnTenantUtilization` | `avgYarnCpuAllocation(BigDecimal avgYarnCpuAllocation)`
    `ApiYarnTenantUtilization` | `avgYarnCpuSteadyFairShare(BigDecimal avgYarnCpuSteadyFairShare)`
    `ApiYarnTenantUtilization` | `avgYarnCpuUnusedCapacity(BigDecimal avgYarnCpuUnusedCapacity)`
    `ApiYarnTenantUtilization` | `avgYarnCpuUtilization(BigDecimal avgYarnCpuUtilization)`
    `ApiYarnTenantUtilization` | `avgYarnMemoryAllocation(BigDecimal avgYarnMemoryAllocation)`
    `ApiYarnTenantUtilization` | `avgYarnMemorySteadyFairShare(BigDecimal avgYarnMemorySteadyFairShare)`
    `ApiYarnTenantUtilization` | `avgYarnMemoryUnusedCapacity(BigDecimal avgYarnMemoryUnusedCapacity)`
    `ApiYarnTenantUtilization` | `avgYarnMemoryUtilization(BigDecimal avgYarnMemoryUtilization)`
    `ApiYarnTenantUtilization` | `avgYarnPoolAllocatedCpuDuringContention(BigDecimal avgYarnPoolAllocatedCpuDuringContention)`
    `ApiYarnTenantUtilization` | `avgYarnPoolAllocatedMemoryDuringContention(BigDecimal avgYarnPoolAllocatedMemoryDuringContention)`
    `ApiYarnTenantUtilization` | `avgYarnPoolFairShareCpuDuringContention(BigDecimal avgYarnPoolFairShareCpuDuringContention)`
    `ApiYarnTenantUtilization` | `avgYarnPoolFairShareMemoryDuringContention(BigDecimal avgYarnPoolFairShareMemoryDuringContention)`
    `ApiYarnTenantUtilization` | `avgYarnPoolSteadyFairShareCpuDuringContention(BigDecimal avgYarnPoolSteadyFairShareCpuDuringContention)`
    `ApiYarnTenantUtilization` | `avgYarnPoolSteadyFairShareMemoryDuringContention(BigDecimal avgYarnPoolSteadyFairShareMemoryDuringContention)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getAvgYarnContainerWaitRatio()` Average percentage of pending containers for the pool during periods of contention.
    `BigDecimal` | `getAvgYarnCpuAllocation()` Average number of VCores allocated to YARN applications of the tenant.
    `BigDecimal` | `getAvgYarnCpuSteadyFairShare()` Average steady fair share VCores.
    `BigDecimal` | `getAvgYarnCpuUnusedCapacity()` Average unused VCores of the tenant.
    `BigDecimal` | `getAvgYarnCpuUtilization()` Average number of VCores used by YARN applications of the tenant.
    `BigDecimal` | `getAvgYarnMemoryAllocation()` Average memory allocated to YARN applications of the tenant.
    `BigDecimal` | `getAvgYarnMemorySteadyFairShare()` Average steady fair share memory.
    `BigDecimal` | `getAvgYarnMemoryUnusedCapacity()` Average unused memory of the tenant.
    `BigDecimal` | `getAvgYarnMemoryUtilization()` Average memory used by YARN applications of the tenant.
    `BigDecimal` | `getAvgYarnPoolAllocatedCpuDuringContention()` Average allocated Vcores with pending containers.
    `BigDecimal` | `getAvgYarnPoolAllocatedMemoryDuringContention()` Average allocated memory with pending containers.
    `BigDecimal` | `getAvgYarnPoolFairShareCpuDuringContention()` Average fair share VCores with pending containers.
    `BigDecimal` | `getAvgYarnPoolFairShareMemoryDuringContention()` Average fair share memory with pending containers.
    `BigDecimal` | `getAvgYarnPoolSteadyFairShareCpuDuringContention()` Average steady fair share VCores with pending containers.
    `BigDecimal` | `getAvgYarnPoolSteadyFairShareMemoryDuringContention()` Average steady fair share memory with pending containers.
    `String` | `getTenantName()` Name of the tenant.
    `int` | `hashCode()`
    `void` | `setAvgYarnContainerWaitRatio(BigDecimal avgYarnContainerWaitRatio)`
    `void` | `setAvgYarnCpuAllocation(BigDecimal avgYarnCpuAllocation)`
    `void` | `setAvgYarnCpuSteadyFairShare(BigDecimal avgYarnCpuSteadyFairShare)`
    `void` | `setAvgYarnCpuUnusedCapacity(BigDecimal avgYarnCpuUnusedCapacity)`
    `void` | `setAvgYarnCpuUtilization(BigDecimal avgYarnCpuUtilization)`
    `void` | `setAvgYarnMemoryAllocation(BigDecimal avgYarnMemoryAllocation)`
    `void` | `setAvgYarnMemorySteadyFairShare(BigDecimal avgYarnMemorySteadyFairShare)`
    `void` | `setAvgYarnMemoryUnusedCapacity(BigDecimal avgYarnMemoryUnusedCapacity)`
    `void` | `setAvgYarnMemoryUtilization(BigDecimal avgYarnMemoryUtilization)`
    `void` | `setAvgYarnPoolAllocatedCpuDuringContention(BigDecimal avgYarnPoolAllocatedCpuDuringContention)`
    `void` | `setAvgYarnPoolAllocatedMemoryDuringContention(BigDecimal avgYarnPoolAllocatedMemoryDuringContention)`
    `void` | `setAvgYarnPoolFairShareCpuDuringContention(BigDecimal avgYarnPoolFairShareCpuDuringContention)`
    `void` | `setAvgYarnPoolFairShareMemoryDuringContention(BigDecimal avgYarnPoolFairShareMemoryDuringContention)`
    `void` | `setAvgYarnPoolSteadyFairShareCpuDuringContention(BigDecimal avgYarnPoolSteadyFairShareCpuDuringContention)`
    `void` | `setAvgYarnPoolSteadyFairShareMemoryDuringContention(BigDecimal avgYarnPoolSteadyFairShareMemoryDuringContention)`
    `void` | `setTenantName(String tenantName)`
    `ApiYarnTenantUtilization` | `tenantName(String tenantName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiYarnTenantUtilization

          public ApiYarnTenantUtilization()

  - ### Method Detail

    - #### tenantName

          public ApiYarnTenantUtilization tenantName(String tenantName)

    - #### getTenantName

          public String getTenantName()

      Name of the tenant.
      Returns:
        tenantName

    - #### setTenantName

          public void setTenantName(String tenantName)

    - #### avgYarnCpuAllocation

          public ApiYarnTenantUtilization avgYarnCpuAllocation(BigDecimal avgYarnCpuAllocation)

    - #### getAvgYarnCpuAllocation

          public BigDecimal getAvgYarnCpuAllocation()

      Average number of VCores allocated to YARN applications of the tenant.
      Returns:
        avgYarnCpuAllocation

    - #### setAvgYarnCpuAllocation

          public void setAvgYarnCpuAllocation(BigDecimal avgYarnCpuAllocation)

    - #### avgYarnCpuUtilization

          public ApiYarnTenantUtilization avgYarnCpuUtilization(BigDecimal avgYarnCpuUtilization)

    - #### getAvgYarnCpuUtilization

          public BigDecimal getAvgYarnCpuUtilization()

      Average number of VCores used by YARN applications of the tenant.
      Returns:
        avgYarnCpuUtilization

    - #### setAvgYarnCpuUtilization

          public void setAvgYarnCpuUtilization(BigDecimal avgYarnCpuUtilization)

    - #### avgYarnCpuUnusedCapacity

          public ApiYarnTenantUtilization avgYarnCpuUnusedCapacity(BigDecimal avgYarnCpuUnusedCapacity)

    - #### getAvgYarnCpuUnusedCapacity

          public BigDecimal getAvgYarnCpuUnusedCapacity()

      Average unused VCores of the tenant.
      Returns:
        avgYarnCpuUnusedCapacity

    - #### setAvgYarnCpuUnusedCapacity

          public void setAvgYarnCpuUnusedCapacity(BigDecimal avgYarnCpuUnusedCapacity)

    - #### avgYarnCpuSteadyFairShare

          public ApiYarnTenantUtilization avgYarnCpuSteadyFairShare(BigDecimal avgYarnCpuSteadyFairShare)

    - #### getAvgYarnCpuSteadyFairShare

          public BigDecimal getAvgYarnCpuSteadyFairShare()

      Average steady fair share VCores.
      Returns:
        avgYarnCpuSteadyFairShare

    - #### setAvgYarnCpuSteadyFairShare

          public void setAvgYarnCpuSteadyFairShare(BigDecimal avgYarnCpuSteadyFairShare)

    - #### avgYarnPoolAllocatedCpuDuringContention

          public ApiYarnTenantUtilization avgYarnPoolAllocatedCpuDuringContention(BigDecimal avgYarnPoolAllocatedCpuDuringContention)

    - #### getAvgYarnPoolAllocatedCpuDuringContention

          public BigDecimal getAvgYarnPoolAllocatedCpuDuringContention()

      Average allocated Vcores with pending containers.
      Returns:
        avgYarnPoolAllocatedCpuDuringContention

    - #### setAvgYarnPoolAllocatedCpuDuringContention

          public void setAvgYarnPoolAllocatedCpuDuringContention(BigDecimal avgYarnPoolAllocatedCpuDuringContention)

    - #### avgYarnPoolFairShareCpuDuringContention

          public ApiYarnTenantUtilization avgYarnPoolFairShareCpuDuringContention(BigDecimal avgYarnPoolFairShareCpuDuringContention)

    - #### getAvgYarnPoolFairShareCpuDuringContention

          public BigDecimal getAvgYarnPoolFairShareCpuDuringContention()

      Average fair share VCores with pending containers.
      Returns:
        avgYarnPoolFairShareCpuDuringContention

    - #### setAvgYarnPoolFairShareCpuDuringContention

          public void setAvgYarnPoolFairShareCpuDuringContention(BigDecimal avgYarnPoolFairShareCpuDuringContention)

    - #### avgYarnPoolSteadyFairShareCpuDuringContention

          public ApiYarnTenantUtilization avgYarnPoolSteadyFairShareCpuDuringContention(BigDecimal avgYarnPoolSteadyFairShareCpuDuringContention)

    - #### getAvgYarnPoolSteadyFairShareCpuDuringContention

          public BigDecimal getAvgYarnPoolSteadyFairShareCpuDuringContention()

      Average steady fair share VCores with pending containers.
      Returns:
        avgYarnPoolSteadyFairShareCpuDuringContention

    - #### setAvgYarnPoolSteadyFairShareCpuDuringContention

          public void setAvgYarnPoolSteadyFairShareCpuDuringContention(BigDecimal avgYarnPoolSteadyFairShareCpuDuringContention)

    - #### avgYarnContainerWaitRatio

          public ApiYarnTenantUtilization avgYarnContainerWaitRatio(BigDecimal avgYarnContainerWaitRatio)

    - #### getAvgYarnContainerWaitRatio

          public BigDecimal getAvgYarnContainerWaitRatio()

      Average percentage of pending containers for the pool during periods of contention.
      Returns:
        avgYarnContainerWaitRatio

    - #### setAvgYarnContainerWaitRatio

          public void setAvgYarnContainerWaitRatio(BigDecimal avgYarnContainerWaitRatio)

    - #### avgYarnMemoryAllocation

          public ApiYarnTenantUtilization avgYarnMemoryAllocation(BigDecimal avgYarnMemoryAllocation)

    - #### getAvgYarnMemoryAllocation

          public BigDecimal getAvgYarnMemoryAllocation()

      Average memory allocated to YARN applications of the tenant.
      Returns:
        avgYarnMemoryAllocation

    - #### setAvgYarnMemoryAllocation

          public void setAvgYarnMemoryAllocation(BigDecimal avgYarnMemoryAllocation)

    - #### avgYarnMemoryUtilization

          public ApiYarnTenantUtilization avgYarnMemoryUtilization(BigDecimal avgYarnMemoryUtilization)

    - #### getAvgYarnMemoryUtilization

          public BigDecimal getAvgYarnMemoryUtilization()

      Average memory used by YARN applications of the tenant.
      Returns:
        avgYarnMemoryUtilization

    - #### setAvgYarnMemoryUtilization

          public void setAvgYarnMemoryUtilization(BigDecimal avgYarnMemoryUtilization)

    - #### avgYarnMemoryUnusedCapacity

          public ApiYarnTenantUtilization avgYarnMemoryUnusedCapacity(BigDecimal avgYarnMemoryUnusedCapacity)

    - #### getAvgYarnMemoryUnusedCapacity

          public BigDecimal getAvgYarnMemoryUnusedCapacity()

      Average unused memory of the tenant.
      Returns:
        avgYarnMemoryUnusedCapacity

    - #### setAvgYarnMemoryUnusedCapacity

          public void setAvgYarnMemoryUnusedCapacity(BigDecimal avgYarnMemoryUnusedCapacity)

    - #### avgYarnMemorySteadyFairShare

          public ApiYarnTenantUtilization avgYarnMemorySteadyFairShare(BigDecimal avgYarnMemorySteadyFairShare)

    - #### getAvgYarnMemorySteadyFairShare

          public BigDecimal getAvgYarnMemorySteadyFairShare()

      Average steady fair share memory.
      Returns:
        avgYarnMemorySteadyFairShare

    - #### setAvgYarnMemorySteadyFairShare

          public void setAvgYarnMemorySteadyFairShare(BigDecimal avgYarnMemorySteadyFairShare)

    - #### avgYarnPoolAllocatedMemoryDuringContention

          public ApiYarnTenantUtilization avgYarnPoolAllocatedMemoryDuringContention(BigDecimal avgYarnPoolAllocatedMemoryDuringContention)

    - #### getAvgYarnPoolAllocatedMemoryDuringContention

          public BigDecimal getAvgYarnPoolAllocatedMemoryDuringContention()

      Average allocated memory with pending containers.
      Returns:
        avgYarnPoolAllocatedMemoryDuringContention

    - #### setAvgYarnPoolAllocatedMemoryDuringContention

          public void setAvgYarnPoolAllocatedMemoryDuringContention(BigDecimal avgYarnPoolAllocatedMemoryDuringContention)

    - #### avgYarnPoolFairShareMemoryDuringContention

          public ApiYarnTenantUtilization avgYarnPoolFairShareMemoryDuringContention(BigDecimal avgYarnPoolFairShareMemoryDuringContention)

    - #### getAvgYarnPoolFairShareMemoryDuringContention

          public BigDecimal getAvgYarnPoolFairShareMemoryDuringContention()

      Average fair share memory with pending containers.
      Returns:
        avgYarnPoolFairShareMemoryDuringContention

    - #### setAvgYarnPoolFairShareMemoryDuringContention

          public void setAvgYarnPoolFairShareMemoryDuringContention(BigDecimal avgYarnPoolFairShareMemoryDuringContention)

    - #### avgYarnPoolSteadyFairShareMemoryDuringContention

          public ApiYarnTenantUtilization avgYarnPoolSteadyFairShareMemoryDuringContention(BigDecimal avgYarnPoolSteadyFairShareMemoryDuringContention)

    - #### getAvgYarnPoolSteadyFairShareMemoryDuringContention

          public BigDecimal getAvgYarnPoolSteadyFairShareMemoryDuringContention()

      Average steady fair share memory with pending containers.
      Returns:
        avgYarnPoolSteadyFairShareMemoryDuringContention

    - #### setAvgYarnPoolSteadyFairShareMemoryDuringContention

          public void setAvgYarnPoolSteadyFairShareMemoryDuringContention(BigDecimal avgYarnPoolSteadyFairShareMemoryDuringContention)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.